local SFX_data = {}

local sfx = {}


local SFX_data = {}

local sfx = {}

sfx["smc-wwviRetroActionSounds"] = {
    zzzt = "zzzt.ogg",
    bombe = "bomb_explosion.ogg",
    choice = "radar_ready.ogg",
    bang = "synthetic_gunshot_2.ogg",
    bomb = "synthetic_bomb.ogg",
    laser = "synthetic_laser.ogg",
    eruption = "volcano_eruption.ogg",
    zap = "tesla_tower.ogg",
    thunder = "synthetic_thunder_short.ogg",
    missile_explosion = "missile_explosion.ogg"
}

sfx.Juhani_Junkala = {
    footstep1 = "sfx_movement_footsteps1a.wav",
    footstep2 = "sfx_movement_footsteps1b.wav",
    slippery = "sfx_movement_footstepsloop3_fast.wav",
    
    portal = "sfx_movement_portal1.wav",
    power_on = "sfx_sound_poweron.wav",
    shutdown = "sfx_sound_shutdown1.wav",
    shutdown_die = "sfx_sound_shutdown2.wav",
    
    engine = "sfx_vehicle_engineloop.wav",
    
    single_shot1 = "sfx_weapon_singleshot7.wav",
    single_shot2 = "sfx_weapon_singleshot10.wav",
    
    cannon = "sfx_wpn_cannon2.wav",
    machine_gun = "sfx_wpn_machinegun_loop2.wav",
    missile_launch = "sfx_wpn_missilelaunch.wav",
    
    punch1 = "sfx_wpn_punch1.wav",
    punch2 = "sfx_wpn_punch2.wav",
    punch3 = "sfx_wpn_punch3.wav",
    punch4 = "sfx_wpn_punch4.wav",
    
    
    boing_jump = "sfx_movement_jump8.wav"
}

sfx.monsters = {
    goop = "goop.wav",
    slime = "slime.wav",
    drohg ="drohg.wav",
    boar = "boar.wav",
    eye = "eye.wav",
    ah = "ah.mp3"
}
 

sfx.GameBurp_FREE_Game_Sound_FX_Pack_OGG = {
	spring = "BOUNCE Twang Spring 13.ogg",
	zap = "ELECTRIC Shock Zap Short 03.ogg",
	engine = "ENGINE Motor Heavy Loop 08.ogg",
	bang = "EXPLOSION Bang 04.ogg",
	metal = "IMPACT Metal Blade Clang 01.ogg",
	failure_chime = "NEGATIVE Failure Descending Chime 05.ogg",
	glitch = "TECH INTERFACE Computer Terminal Beeps Negative 03.ogg",
	reload = "WEAPON CLICK Reload Mechanism 01.ogg",
	rifle_shot = "WEAPON GUNSHOT Rifle Swish 02.ogg"
}
 
sfx.hits = {
    hit1 = "1.ogg",
    hit2 = "2.ogg",
    hit3 = "2.ogg",
    hit4 = "4.ogg",
    
    critical = "7.ogg"
    
}

sfx.battle_sound_effects = {
    swish1 = "swish_2.wav",
    swish2 = "swish_3.wav",
    swish4 = "swish_4.wav",
    wood   = "Bow.wav",
    ch = "choice.wav",
    door_lock = "door-lock.mp3",
    door_knock = "door_knock.mp3",
    beep   = "beepp.mp3",
    whoosh = "swish_2.wav",
    explosion = "explosion-01.mp3",
    glass1 = "glass1.mp3",
    glass2 = "glass2.mp3",
    glass3 = "glass3.mp3",
    mud1 = "mud_1.ogg",
    mud2 = "mmud_4.ogg",
    mud3 = "mud_3.ogg",
    squish = "mud_4.ogg",
    cheer = "kids_cheering.mp3",
    flame = "flame_0.ogg",
    die1 = "retro_die_01.ogg",
    die2 = "retro_die_02.ogg",
    die3 = "retro_die_03.ogg",
    bounce = "bounce.ogg",
    bark = "bark.mp3",
    growl = "growl.mp3",
    deep_growl = "deep_growl.mp3"
}
 

sfx.Michel_Baradari = {
    cg1 = "cg1.wav"
}
 
 

sfx.JBM_sfxr_pack_1 = {
    collect1 = "collect01.ogg",
    powerup1 = "powerup01.ogg",
    alarm2 = "alarm-4.wav"
}



local sounds = {}

for dir, data in pairs(sfx) do
    for name, filename in pairs(data) do
        sounds[name] = string.format("%s/%s",dir,filename)
    end
end

SFX_data = {
	sfx = sounds,
	data = sfx
}

return SFX_data
	
	